"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Axis_exports = {};
__export(Axis_exports, {
  Axis: () => Axis
});
module.exports = __toCommonJS(Axis_exports);
var React = __toESM(require("react"));
var import_jsx_runtime = require("react/jsx-runtime");
var import_react = __toESM(require("react"));
var import_styles = require("../../styles.js");
const Axis = import_react.default.memo((props) => {
  const { dimension, intervalType, color, GridRenderer, TickRenderer, lineCoords, scale, innerRef } = props;
  const ticks = scale?.getTicks(dimension, intervalType);
  const ticksScaled = scale?.getTicksScaled(dimension, intervalType);
  if (!ticks || !ticksScaled) return null;
  const { x1, x2, y1, y2 } = lineCoords;
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)("g", { className: "axis", children: [
    /* @__PURE__ */ (0, import_jsx_runtime.jsxs)("g", { ref: innerRef, children: [
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_styles.StyledAxis, { className: "domain", x1, x2, y1, y2, axisColor: color }),
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)("g", { className: "ticks", children: ticks.map((t, i) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)(TickRenderer, { position: ticksScaled[i], tickValue: t }, ticksScaled[i])) })
    ] }),
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)("g", { className: "grid", children: ticks.map((t, i) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)(GridRenderer, { position: ticksScaled[i], tickValue: t }, ticksScaled[i])) })
  ] });
});
//# sourceMappingURL=Axis.js.map
