"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ClipPaths_exports = {};
__export(ClipPaths_exports, {
  ClipPaths: () => ClipPaths
});
module.exports = __toCommonJS(ClipPaths_exports);
var React = __toESM(require("react"));
var import_jsx_runtime = require("react/jsx-runtime");
var import_react = require("react");
var import_ChartContext = require("../ChartContext.js");
const ClipPaths = () => {
  const { innerWidth, containerRatio, innerHeight, chartId, yScale } = (0, import_react.useContext)(import_ChartContext.ChartContext);
  return (0, import_react.useMemo)(() => {
    if (yScale?.type === "BAND") {
      return /* @__PURE__ */ (0, import_jsx_runtime.jsx)("defs", { children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)("clipPath", { id: `rect-focus-ring-${chartId}`, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)("rect", { width: innerWidth + 4, height: innerHeight * containerRatio, x: 1 }) }) });
    }
    return /* @__PURE__ */ (0, import_jsx_runtime.jsx)("defs", { children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)("clipPath", { id: `rect-focus-ring-${chartId}`, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)("rect", { width: innerWidth * containerRatio + 4, height: innerHeight + 4, x: -4, y: -5 }) }) });
  }, [chartId, containerRatio, innerHeight, innerWidth, yScale?.type]);
};
//# sourceMappingURL=ClipPaths.js.map
