"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var RightLegend_exports = {};
__export(RightLegend_exports, {
  RightLegend: () => RightLegend
});
module.exports = __toCommonJS(RightLegend_exports);
var React = __toESM(require("react"));
var import_jsx_runtime = require("react/jsx-runtime");
var import_react = require("react");
var import_ChartContext = require("../../ChartContext.js");
var import_LegendItem = require("./LegendItem.js");
const RightLegend = () => {
  const {
    innerWidth,
    innerHeight,
    rightLabelWidth,
    axisRightWidth,
    internalMargin,
    rightLegendHeight,
    setRightLegend,
    originalSeries: series
  } = (0, import_react.useContext)(import_ChartContext.ChartContext);
  const [yTransform, setYTransform] = (0, import_react.useState)(innerHeight / 2 + internalMargin.top);
  (0, import_react.useEffect)(() => {
    setYTransform(innerHeight / 2 + internalMargin.top - rightLegendHeight / 2);
  }, [innerHeight, internalMargin.top, rightLegendHeight]);
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(
    "g",
    {
      ref: setRightLegend,
      transform: `translate(${innerWidth + internalMargin.left + axisRightWidth + rightLabelWidth},${yTransform})`,
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime.jsx)("rect", { width: "20", height: 1, fill: "transparent" }),
        /* @__PURE__ */ (0, import_jsx_runtime.jsx)("g", { transform: "translate(0,0)", children: series.map((serie, i) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)("g", { className: "tick", transform: `translate(30,${i * 30})`, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_LegendItem.LegendItem, { domainValue: serie.name }) }, serie.name)) })
      ]
    }
  );
};
//# sourceMappingURL=RightLegend.js.map
