"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var TrendHighlight_exports = {};
__export(TrendHighlight_exports, {
  TrendHighlight: () => TrendHighlight
});
module.exports = __toCommonJS(TrendHighlight_exports);
var React = __toESM(require("react"));
var import_jsx_runtime = require("react/jsx-runtime");
var import_react = require("react");
var import_ChartContext = require("../ChartContext.js");
const TrendHighlight = ({ currentDatum }) => {
  const { currentData, getXScaleValue, getY2ScaleValue, getYScaleValue } = (0, import_react.useContext)(import_ChartContext.ChartContext);
  const prevPoint = currentData?.find((serie) => serie.name === currentDatum.serie && serie.type === "line")?.data?.find((datum) => datum.position === currentDatum.position - 1);
  const currentYScale = prevPoint?.scale === "y2" ? getY2ScaleValue : getYScaleValue;
  if (!prevPoint) return null;
  const xCurrentPosition = getXScaleValue(currentDatum);
  const yCurrentPosition = currentYScale(currentDatum);
  const xPreviousPosition = getXScaleValue(prevPoint);
  const yPreviousPosition = currentYScale(prevPoint);
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
    "line",
    {
      strokeWidth: "4",
      stroke: (yPreviousPosition ?? 0) > (yCurrentPosition ?? 0) ? "green" : "red",
      x1: xPreviousPosition,
      x2: xCurrentPosition,
      y1: yPreviousPosition,
      y2: yCurrentPosition
    }
  );
};
//# sourceMappingURL=TrendHighlight.js.map
