import * as React from "react";
import { jsx } from "react/jsx-runtime";
import { ChartContainer } from "./parts/ChartContainer.js";
import { ChartContext } from "./ChartContext.js";
import { useChart } from "./config/useChart.js";
const Chart = (props) => {
  const ctx = useChart(props);
  return /* @__PURE__ */ jsx(ChartContext.Provider, { value: ctx, children: /* @__PURE__ */ jsx(ChartContainer, {}) });
};
export {
  Chart
};
//# sourceMappingURL=Chart.js.map
