import React from 'react';
import type { DSChartT } from '../../react-desc-prop-types.js';
import type { ScaleT } from '../../scales/index.js';
interface VerticalScrapperLineProps {
    rectDetector?: {
        left: number;
        right: number;
    };
    xPosition: number;
    data: DSChartT.ScrapperDatum[];
    scrapperPosX: number;
    setScrapperPosX: (x: number) => void;
    isGrabbed: boolean;
    xScale: ScaleT | null;
    setActivePoint: React.Dispatch<React.SetStateAction<DSChartT.InternalDatum | null>>;
    innerHeight: number;
    TooltipRenderer?: React.ComponentType<{
        data: {
            name: string;
            xValue: string | number | Date | null;
            yValue: string | number | Date | null;
            datum: DSChartT.InternalDatum;
        }[];
    }> | undefined;
    scrapper: DSChartT.ScrapperT;
}
export declare const VerticalScrapperLine: React.ComponentType<VerticalScrapperLineProps>;
export {};
