"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var react_desc_prop_types_exports = {};
__export(react_desc_prop_types_exports, {
  DSSingleStackedBarPropTypes: () => DSSingleStackedBarPropTypes,
  defaultProps: () => defaultProps
});
module.exports = __toCommonJS(react_desc_prop_types_exports);
var React = __toESM(require("react"));
var import_ds_props_helpers = require("@elliemae/ds-props-helpers");
const defaultProps = {
  gutter: "xxxs"
};
const DSSingleStackedBarPropTypes = {
  ...import_ds_props_helpers.globalAttributesPropTypes,
  ...import_ds_props_helpers.xstyledPropTypes,
  height: import_ds_props_helpers.PropTypes.string.description("Height of the bar").isRequired,
  gutter: import_ds_props_helpers.PropTypes.string.description("Gap between the bars").defaultValue("xxxs"),
  TooltipRenderer: import_ds_props_helpers.PropTypes.func.description("Callback function that returns a custom renderer for the tooltip"),
  LegendRenderer: import_ds_props_helpers.PropTypes.func.description("Callback function that returns a custom renderer for the legend"),
  data: import_ds_props_helpers.PropTypes.arrayOf(
    import_ds_props_helpers.PropTypes.shape({ name: import_ds_props_helpers.PropTypes.string, data: import_ds_props_helpers.PropTypes.number, color: import_ds_props_helpers.PropTypes.string })
  ).description("Array of the series which represent the chart")
};
//# sourceMappingURL=react-desc-prop-types.js.map
