"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var styles_exports = {};
__export(styles_exports, {
  StyledBar: () => StyledBar,
  StyledMouseOverDetectionBox: () => StyledMouseOverDetectionBox,
  StyledTooltipContainer: () => StyledTooltipContainer,
  Wrapper: () => Wrapper
});
module.exports = __toCommonJS(styles_exports);
var React = __toESM(require("react"));
var import_ds_system = require("@elliemae/ds-system");
var import_ds_grid = require("@elliemae/ds-grid");
var import_exported_related = require("./exported-related/index.js");
const focusRing = import_ds_system.css`
  outline: 2px solid brand-700;
  outline-offset: 2px;
`;
const StyledBar = (0, import_ds_system.styled)(import_ds_grid.Grid)`
  &:focus,
  :focus-visible {
    ${focusRing}
  }
`;
const Wrapper = (0, import_ds_system.styled)(import_ds_grid.Grid, { name: import_exported_related.DSSingleStackedBarName, slot: import_exported_related.DSSingleStackedBarSlots.WRAPPER })``;
const StyledTooltipContainer = import_ds_system.styled.div`
  max-width: 350px;
  background-color: white;
`;
const StyledMouseOverDetectionBox = import_ds_system.styled.div`
  position: absolute;
  top: -15px;
  right: -15px;
  width: calc(100% + 30px);
  height: calc(100% + 30px);
  z-index: -1;
`;
//# sourceMappingURL=styles.js.map
