"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var FocusableRegion_exports = {};
__export(FocusableRegion_exports, {
  FocusableRegion: () => FocusableRegion
});
module.exports = __toCommonJS(FocusableRegion_exports);
var React = __toESM(require("react"));
var import_jsx_runtime = require("react/jsx-runtime");
var import_react = require("react");
var import_ds_popperjs = require("@elliemae/ds-popperjs");
var import_ds_system = require("@elliemae/ds-system");
var import_styles = require("../styles.js");
const FocusableRegion = (props) => {
  const [referenceElement, setReferenceElement] = (0, import_react.useState)(null);
  const theme = (0, import_react.useContext)(import_ds_system.ThemeContext);
  const { content, ...rest } = props;
  return (0, import_react.useMemo)(
    () => /* @__PURE__ */ (0, import_jsx_runtime.jsx)("foreignObject", { ...rest, ref: setReferenceElement, children: /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(
      import_ds_popperjs.DSPopperJS,
      {
        withoutAnimation: true,
        referenceElement,
        showPopover: true,
        zIndex: theme.zIndex.tooltip,
        children: [
          /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_styles.StyledMouseOverDetectionBox, {}),
          /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_styles.StyledTooltipContainer, { children: content })
        ]
      }
    ) }),
    [content, referenceElement, rest, theme.zIndex.tooltip]
  );
};
//# sourceMappingURL=FocusableRegion.js.map
