"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Labels_exports = {};
__export(Labels_exports, {
  Labels: () => Labels
});
module.exports = __toCommonJS(Labels_exports);
var React = __toESM(require("react"));
var import_jsx_runtime = require("react/jsx-runtime");
var import_react = require("react");
var import_ChartContext = require("../../ChartContext.js");
var import_Label = require("./Label.js");
const Labels = () => {
  const {
    setBottomLabel,
    setLeftLabel,
    setRightLabel,
    internalMargin,
    innerHeight,
    innerWidth,
    leftLegendWidth,
    leftLabelWidth,
    axisBottomHeight,
    axisRightWidth,
    props: { xAxis, y2Axis, yAxis }
  } = (0, import_react.useContext)(import_ChartContext.ChartContext);
  const { label: xLabel } = xAxis || {};
  const { label: yLabel } = yAxis || {};
  const { label: y2Label } = y2Axis || {};
  return (0, import_react.useMemo)(
    () => /* @__PURE__ */ (0, import_jsx_runtime.jsxs)("g", { className: "labels", children: [
      y2Label ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
        import_Label.Label,
        {
          innerRef: setRightLabel,
          x: innerWidth + internalMargin.left + axisRightWidth,
          y: innerHeight / 2 + internalMargin.top,
          label: y2Label,
          rotateDegrees: 90
        }
      ) : null,
      yLabel ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
        import_Label.Label,
        {
          innerRef: setLeftLabel,
          x: leftLegendWidth + leftLabelWidth,
          y: innerHeight / 2 + internalMargin.top,
          label: yLabel,
          rotateDegrees: -90
        }
      ) : null,
      xLabel ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
        import_Label.Label,
        {
          innerRef: setBottomLabel,
          x: innerWidth / 2 + internalMargin.left,
          y: innerHeight + axisBottomHeight + internalMargin.top,
          label: xLabel
        }
      ) : null
    ] }),
    [
      axisBottomHeight,
      axisRightWidth,
      innerHeight,
      innerWidth,
      internalMargin.left,
      internalMargin.top,
      leftLabelWidth,
      leftLegendWidth,
      setBottomLabel,
      setLeftLabel,
      setRightLabel,
      xLabel,
      y2Label,
      yLabel
    ]
  );
};
//# sourceMappingURL=index.js.map
