"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var VerticalScrapperLine_exports = {};
__export(VerticalScrapperLine_exports, {
  VerticalScrapperLine: () => VerticalScrapperLine
});
module.exports = __toCommonJS(VerticalScrapperLine_exports);
var React = __toESM(require("react"));
var import_jsx_runtime = require("react/jsx-runtime");
var import_react = __toESM(require("react"));
var import_ds_popperjs = require("@elliemae/ds-popperjs");
var import_ds_system = require("@elliemae/ds-system");
var import_styles = require("../../styles.js");
const VerticalScrapperLine = import_react.default.memo(
  ({
    rectDetector,
    xPosition,
    data,
    scrapperPosX,
    setScrapperPosX,
    isGrabbed,
    xScale,
    setActivePoint,
    innerHeight,
    TooltipRenderer,
    scrapper
  }) => {
    const theme = (0, import_react.useContext)(import_ds_system.ThemeContext);
    const [referenceElement, setReferenceElement] = (0, import_react.useState)();
    const isActive = scrapperPosX === xPosition;
    const handleOnMouseEnter = (0, import_react.useCallback)(() => {
      if (!isGrabbed) setScrapperPosX(xPosition);
      setActivePoint(null);
    }, [isGrabbed, setActivePoint, setScrapperPosX, xPosition]);
    const nonNullXscale = xScale ?? { type: "notBANDAndEverythingElseIsCurrentlyTreatedTheSame" };
    return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)("g", { transform: `translate(${nonNullXscale.type === "BAND" ? nonNullXscale.getBandwidth() / 2 : 0}, 0)`, children: [
      isActive && !isGrabbed ? /* @__PURE__ */ (0, import_jsx_runtime.jsxs)("g", { children: [
        TooltipRenderer ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)("foreignObject", { children: /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(
          import_ds_popperjs.DSPopperJS,
          {
            withoutAnimation: true,
            withoutArrow: true,
            customOffset: [0, 5],
            referenceElement,
            showPopover: true,
            zIndex: theme.zIndex.tooltip,
            startPlacementPreference: scrapper.tooltipPreference,
            children: [
              /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_styles.StyledMouseOverDetectionBox, {}),
              /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_styles.StyledTooltipContainer, { children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(TooltipRenderer, { data }) })
            ]
          }
        ) }) : null,
        /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
          "line",
          {
            ref: setReferenceElement,
            x1: xPosition,
            strokeWidth: "2px",
            stroke: scrapper.color,
            y1: 0,
            x2: xPosition,
            y2: innerHeight,
            strokeDasharray: "4 4"
          }
        )
      ] }) : null,
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
        "rect",
        {
          onMouseOver: handleOnMouseEnter,
          x: nonNullXscale.type === "BAND" ? xPosition - nonNullXscale.getBandwidth() / 2 : xPosition - (rectDetector?.left ?? 0),
          fill: "transparent",
          y: 0,
          width: nonNullXscale.type === "BAND" ? nonNullXscale.getBandwidth() : (rectDetector?.right ?? 0) + (rectDetector?.left ?? 0),
          height: innerHeight
        }
      )
    ] });
  }
);
//# sourceMappingURL=VerticalScrapperLine.js.map
