"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ScrollableContainerY_exports = {};
__export(ScrollableContainerY_exports, {
  ScrollableContainerY: () => ScrollableContainerY
});
module.exports = __toCommonJS(ScrollableContainerY_exports);
var React = __toESM(require("react"));
var import_jsx_runtime = require("react/jsx-runtime");
var import_react = require("react");
var import_ChartContext = require("../../ChartContext.js");
var import_SeriesFactory = require("../SeriesFactory.js");
var import_ScrollBarY = require("./ScrollBarY.js");
var import_Scrapper = require("../Scrapper/Scrapper.js");
var import_VerticalScrapper = require("../Scrapper/VerticalScrapper.js");
var import_AxisLeft = require("../Axis/AxisLeft.js");
const ScrollableContainerY = () => {
  const {
    props: { scrapper },
    xScrollbarPosition,
    containerRatio,
    chartId
  } = (0, import_react.useContext)(import_ChartContext.ChartContext);
  const Scrappers = (0, import_react.useMemo)(() => {
    if (scrapper?.type === "horizontal") return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_Scrapper.Scrapper, {});
    if (scrapper?.type === "vertical") return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_VerticalScrapper.VerticalScrapper, {});
    return null;
  }, [scrapper?.type]);
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)("g", { className: "scrollable-container-y", children: [
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)("g", { mask: `url(#mask-y-${chartId})`, children: /* @__PURE__ */ (0, import_jsx_runtime.jsxs)("g", { transform: `translate(0,${-xScrollbarPosition * containerRatio})`, children: [
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_SeriesFactory.SeriesFactory, {}),
      Scrappers,
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_AxisLeft.AxisLeft, {})
    ] }) }),
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_ScrollBarY.ScrollBarY, {})
  ] });
};
//# sourceMappingURL=ScrollableContainerY.js.map
