import * as React from "react";
import { jsx, jsxs } from "react/jsx-runtime";
import React2 from "react";
const Tick = React2.memo(
  ({ tickValue, stroke, textProps, xTranslate = 0, yTranslate = 0, textStyle, ...rest }) => /* @__PURE__ */ jsxs("g", { transform: `translate(${xTranslate},${yTranslate})`, children: [
    /* @__PURE__ */ jsx("line", { ...rest, stroke: stroke || "black" }),
    /* @__PURE__ */ jsx("text", { fill: "black", ...textProps, style: textStyle, children: tickValue?.toString() })
  ] })
);
export {
  Tick
};
//# sourceMappingURL=Tick.js.map
