import * as React from "react";
import { globalAttributesPropTypes, PropTypes } from "@elliemae/ds-props-helpers";
const defaultProps = {
  series: [
    {
      name: "1",
      data: [0],
      color: "grey-100",
      type: "bar"
    }
  ]
};
const propTypes = {
  ...globalAttributesPropTypes,
  height: PropTypes.number.isRequired.description("height").defaultValue(""),
  width: PropTypes.number.isRequired.description("height").defaultValue(""),
  margin: PropTypes.shape({
    top: PropTypes.number,
    bottom: PropTypes.number,
    left: PropTypes.number,
    right: PropTypes.number
  }).isRequired.description("margin").defaultValue(""),
  series: PropTypes.arrayOf(PropTypes.object).description("yValue").defaultValue("")
};
export {
  defaultProps,
  propTypes
};
//# sourceMappingURL=react-desc-prop-types.js.map
