import * as React from "react";
import { Fragment, jsx, jsxs } from "react/jsx-runtime";
import { createRef } from "react";
import { Chart } from "../index.js";
const closeButtonRef = createRef();
const testRequiredProps = {};
const testOptionalProps = {
  xAxis: {
    label: "x-axis",
    type: "linear"
  },
  yAxis: {
    label: "y-axis",
    type: "linear"
  }
};
const testPartialDefaults = {
  series: [
    {
      data: [1, 2, 3, 4, 5],
      name: "Series 1",
      color: "red",
      type: "line"
    }
  ]
};
const testPropsAsSyntax = {
  ...testRequiredProps,
  ...testOptionalProps,
  ...testPartialDefaults
};
const testCompleteDefaults = {
  series: [
    {
      data: [1, 2, 3, 4, 5],
      name: "Series 1",
      color: "red",
      type: "line"
    }
  ]
};
const testExplicitDefinition = {
  ...testRequiredProps,
  ...testOptionalProps,
  ...testCompleteDefaults
};
const testInferedTypeCompatibility = {
  ...testRequiredProps,
  ...testOptionalProps,
  ...testCompleteDefaults
};
const testDefinitionAsConst = {
  ...testRequiredProps,
  ...testOptionalProps,
  ...testCompleteDefaults
};
const ExampleUsageComponent = () => /* @__PURE__ */ jsxs(Fragment, { children: [
  /* @__PURE__ */ jsx(Chart, { ...testExplicitDefinition }),
  /* @__PURE__ */ jsx(Chart, { ...testInferedTypeCompatibility }),
  /* @__PURE__ */ jsx(Chart, { ...testDefinitionAsConst }),
  /* @__PURE__ */ jsx(
    Chart,
    {
      series: [
        {
          data: [1, 2, 3, 4, 5],
          name: "Series 1",
          color: "red",
          type: "line"
        }
      ],
      xAxis: {
        label: "x-axis",
        type: "linear"
      },
      yAxis: {
        label: "y-axis",
        type: "linear"
      }
    }
  )
] });
//# sourceMappingURL=typescript-data-viz-valid.js.map
