interface UseInternalMarginsT {
    axisLeftRef: SVGGElement | null;
    axisBottomRef: SVGGElement | null;
    axisRightRef: SVGGElement | null;
    leftLegend: SVGGElement | null;
    leftLabel: SVGGElement | null;
    rightLegend: SVGGElement | null;
    topLegend: SVGGElement | null;
    bottomLegend: SVGGElement | null;
    rightLabel: SVGGElement | null;
    bottomLabel: SVGGElement | null;
    toolbarRef: SVGGElement | null;
}
export declare const useInternalMargins: ({ axisLeftRef, axisBottomRef, axisRightRef, leftLabel, leftLegend, rightLegend, topLegend, bottomLegend, rightLabel, bottomLabel, toolbarRef, }: UseInternalMarginsT) => {
    internalMargin: {
        bottom: number;
        top: number;
        right: number;
        left: number;
    };
    leftLegendHeight: number;
    leftLegendWidth: number;
    axisBottomHeight: number;
    bottomLegendHeight: number;
    bottomLabelHeight: number;
    topLegendHeight: number;
    rightLabelWidth: number;
    axisRightWidth: number;
    rightLegendWidth: number;
    axisLeftWidth: number;
    leftLabelWidth: number;
    toolbarHeight: number;
    leftLabelHeight: number;
    rightLegendHeight: number;
    bottomLegendWidth: number;
};
export {};
