import React, { type SVGAttributes, type CSSProperties } from 'react';
export interface TickT {
    xTranslate?: number;
    yTranslate?: number;
    x1?: number;
    y1?: number;
    x2?: number;
    y2?: number;
    size?: number;
    stroke?: string;
    tickValue?: string | number | Date;
    textProps: Partial<SVGAttributes<SVGTextElement>>;
    textStyle: CSSProperties;
}
export declare const Tick: React.ComponentType<TickT>;
